Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162253 - Can't use spectool on excluded archs
Summary: Can't use spectool on excluded archs
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-rpmdevtools
Version: 4
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-01 17:41 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.4-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-24 13:39:20 UTC


Attachments (Terms of Use)
Ignore ExlusiveArch and friends (deleted)
2005-12-25 19:25 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2005-07-01 17:41:10 UTC
It doesn't seem to be possible have spectool pass --target to rpmbuild, 
therefore making it impossible to fetch stuff let's say on a i386 with a 
specfile that states "ExclusiveArch: i586 i686". 
 
Could you fix this in the "upstream" spectool distribution?  Then, I'd just 
import it to rpmdevtools. 
 
On a further note, it would be cool if spectool could be a bit more verbose 
about encountered errors... for example in the above case, nothing happens.  
Using the -D option I can get the stderr filename and go look up what's wrong, 
but ideally I'd like to see the error right there on the console if things 
fail.

Comment 1 Ville Skyttä 2005-12-25 19:25:56 UTC
Created attachment 122580 [details]
Ignore ExlusiveArch and friends

Here's one approach that appears to work for me.  Thoughts?

Comment 2 Nils Philippsen 2005-12-28 15:42:17 UTC
I've applied this patch and released spectool-1.0.5.

Comment 3 Ville Skyttä 2005-12-30 18:16:20 UTC
Included in 1.4-1, thanks.

Comment 4 Ville Skyttä 2006-02-09 19:28:39 UTC
Hmm, BuildArch needs treatment too.  Fix below; Nils, could you roll a new
spectool again for this?

--- spectool~   2005-12-30 11:48:09.000000000 +0200
+++ spectool    2006-02-09 00:21:28.000000000 +0200
@@ -85,7 +85,7 @@
                                last;
                        }
                }
-               next if ($line =~ m/^\s*Exclu(d|siv)e(Arch|OS)\s*:/i);
+               next if ($line =~ m/^\s*(Build|Exclu(d|siv)e)(Arch|OS)\s*:/i);
                $preamble .= $line;
                if ($line !~ m/^\s*(?:source|patch)\d*\s*:/) {
                        print $tmpspec_fh $line;


Comment 5 Nils Philippsen 2006-02-24 13:39:20 UTC
I've applied a  slightly modified -- I don't think there is a BuildOS: tag ;-)
-- fix in spectool-1.0.7. 

Comment 6 Ville Skyttä 2006-02-24 16:45:59 UTC
Right, thanks.


Note You need to log in before you can comment on or make changes to this bug.